module SpreeGladly
  class Engine < ::Rails::Engine
    require 'spree_core'

    isolate_namespace Spree
    engine_name 'spree_gladly'

    initializer 'spree_gladly.environment', before: :load_config_initializers do |_app|
      SpreeGladly::Config = SpreeGladly::Configuration.new
    end

    # use rspec for tests
    config.generators do |g|
      g.test_framework :rspec
    end

    def self.activate
      Dir.glob(File.join(File.dirname(__FILE__), '../../app/**/*_decorator*.rb')).sort.each do |c|
        Rails.configuration.cache_classes ? require(c) : load(c)
      end
    end

    config.to_prepare(&method(:activate).to_proc)
  end
end
